TQueueStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TQueueStat

- java.lang.Object
- - com.sleepycat.thrift.TQueueStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TQueueStat>, org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TQueueStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TQueueStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TQueueStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `curRecno`
    `int` | `extentSize`
    `int` | `firstRecno`
    `int` | `magic`
    `static java.util.Map<TQueueStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `metaFlags`
    `int` | `numData`
    `int` | `numKeys`
    `int` | `pages`
    `int` | `pagesFree`
    `int` | `pageSize`
    `int` | `reLen`
    `int` | `rePad`
    `int` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TQueueStat()`
    `TQueueStat(int curRecno, int extentSize, int firstRecno, int magic, int metaFlags, int numData, int numKeys, int pages, int pagesFree, int pageSize, int reLen, int rePad, int version)`
    `TQueueStat(TQueueStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TQueueStat other)`
    `TQueueStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TQueueStat that)`
    `TQueueStat._Fields` | `fieldForId(int fieldId)`
    `int` | `getCurRecno()`
    `int` | `getExtentSize()`
    `java.lang.Object` | `getFieldValue(TQueueStat._Fields field)`
    `int` | `getFirstRecno()`
    `int` | `getMagic()`
    `int` | `getMetaFlags()`
    `int` | `getNumData()`
    `int` | `getNumKeys()`
    `int` | `getPages()`
    `int` | `getPagesFree()`
    `int` | `getPageSize()`
    `int` | `getReLen()`
    `int` | `getRePad()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isSet(TQueueStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCurRecno()` Returns true if field curRecno is set (has been assigned a value) and false otherwise
    `boolean` | `isSetExtentSize()` Returns true if field extentSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFirstRecno()` Returns true if field firstRecno is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMagic()` Returns true if field magic is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMetaFlags()` Returns true if field metaFlags is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumData()` Returns true if field numData is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumKeys()` Returns true if field numKeys is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPages()` Returns true if field pages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPagesFree()` Returns true if field pagesFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageSize()` Returns true if field pageSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReLen()` Returns true if field reLen is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRePad()` Returns true if field rePad is set (has been assigned a value) and false otherwise
    `boolean` | `isSetVersion()` Returns true if field version is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TQueueStat` | `setCurRecno(int curRecno)`
    `void` | `setCurRecnoIsSet(boolean value)`
    `TQueueStat` | `setExtentSize(int extentSize)`
    `void` | `setExtentSizeIsSet(boolean value)`
    `void` | `setFieldValue(TQueueStat._Fields field, java.lang.Object value)`
    `TQueueStat` | `setFirstRecno(int firstRecno)`
    `void` | `setFirstRecnoIsSet(boolean value)`
    `TQueueStat` | `setMagic(int magic)`
    `void` | `setMagicIsSet(boolean value)`
    `TQueueStat` | `setMetaFlags(int metaFlags)`
    `void` | `setMetaFlagsIsSet(boolean value)`
    `TQueueStat` | `setNumData(int numData)`
    `void` | `setNumDataIsSet(boolean value)`
    `TQueueStat` | `setNumKeys(int numKeys)`
    `void` | `setNumKeysIsSet(boolean value)`
    `TQueueStat` | `setPages(int pages)`
    `TQueueStat` | `setPagesFree(int pagesFree)`
    `void` | `setPagesFreeIsSet(boolean value)`
    `void` | `setPagesIsSet(boolean value)`
    `TQueueStat` | `setPageSize(int pageSize)`
    `void` | `setPageSizeIsSet(boolean value)`
    `TQueueStat` | `setReLen(int reLen)`
    `void` | `setReLenIsSet(boolean value)`
    `TQueueStat` | `setRePad(int rePad)`
    `void` | `setRePadIsSet(boolean value)`
    `TQueueStat` | `setVersion(int version)`
    `void` | `setVersionIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCurRecno()`
    `void` | `unsetExtentSize()`
    `void` | `unsetFirstRecno()`
    `void` | `unsetMagic()`
    `void` | `unsetMetaFlags()`
    `void` | `unsetNumData()`
    `void` | `unsetNumKeys()`
    `void` | `unsetPages()`
    `void` | `unsetPagesFree()`
    `void` | `unsetPageSize()`
    `void` | `unsetReLen()`
    `void` | `unsetRePad()`
    `void` | `unsetVersion()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### curRecno

          public int curRecno

    - #### extentSize

          public int extentSize

    - #### firstRecno

          public int firstRecno

    - #### magic

          public int magic

    - #### metaFlags

          public int metaFlags

    - #### numData

          public int numData

    - #### numKeys

          public int numKeys

    - #### pages

          public int pages

    - #### pagesFree

          public int pagesFree

    - #### pageSize

          public int pageSize

    - #### reLen

          public int reLen

    - #### rePad

          public int rePad

    - #### version

          public int version

    - #### metaDataMap

          public static final java.util.Map<TQueueStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TQueueStat

          public TQueueStat()

    - #### TQueueStat

          public TQueueStat(int curRecno,
                            int extentSize,
                            int firstRecno,
                            int magic,
                            int metaFlags,
                            int numData,
                            int numKeys,
                            int pages,
                            int pagesFree,
                            int pageSize,
                            int reLen,
                            int rePad,
                            int version)

    - #### TQueueStat

          public TQueueStat(TQueueStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TQueueStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>`

    - #### getCurRecno

          public int getCurRecno()

    - #### setCurRecno

          public TQueueStat setCurRecno(int curRecno)

    - #### unsetCurRecno

          public void unsetCurRecno()

    - #### isSetCurRecno

          public boolean isSetCurRecno()

      Returns true if field curRecno is set (has been assigned a value) and false otherwise

    - #### setCurRecnoIsSet

          public void setCurRecnoIsSet(boolean value)

    - #### getExtentSize

          public int getExtentSize()

    - #### setExtentSize

          public TQueueStat setExtentSize(int extentSize)

    - #### unsetExtentSize

          public void unsetExtentSize()

    - #### isSetExtentSize

          public boolean isSetExtentSize()

      Returns true if field extentSize is set (has been assigned a value) and false otherwise

    - #### setExtentSizeIsSet

          public void setExtentSizeIsSet(boolean value)

    - #### getFirstRecno

          public int getFirstRecno()

    - #### setFirstRecno

          public TQueueStat setFirstRecno(int firstRecno)

    - #### unsetFirstRecno

          public void unsetFirstRecno()

    - #### isSetFirstRecno

          public boolean isSetFirstRecno()

      Returns true if field firstRecno is set (has been assigned a value) and false otherwise

    - #### setFirstRecnoIsSet

          public void setFirstRecnoIsSet(boolean value)

    - #### getMagic

          public int getMagic()

    - #### setMagic

          public TQueueStat setMagic(int magic)

    - #### unsetMagic

          public void unsetMagic()

    - #### isSetMagic

          public boolean isSetMagic()

      Returns true if field magic is set (has been assigned a value) and false otherwise

    - #### setMagicIsSet

          public void setMagicIsSet(boolean value)

    - #### getMetaFlags

          public int getMetaFlags()

    - #### setMetaFlags

          public TQueueStat setMetaFlags(int metaFlags)

    - #### unsetMetaFlags

          public void unsetMetaFlags()

    - #### isSetMetaFlags

          public boolean isSetMetaFlags()

      Returns true if field metaFlags is set (has been assigned a value) and false otherwise

    - #### setMetaFlagsIsSet

          public void setMetaFlagsIsSet(boolean value)

    - #### getNumData

          public int getNumData()

    - #### setNumData

          public TQueueStat setNumData(int numData)

    - #### unsetNumData

          public void unsetNumData()

    - #### isSetNumData

          public boolean isSetNumData()

      Returns true if field numData is set (has been assigned a value) and false otherwise

    - #### setNumDataIsSet

          public void setNumDataIsSet(boolean value)

    - #### getNumKeys

          public int getNumKeys()

    - #### setNumKeys

          public TQueueStat setNumKeys(int numKeys)

    - #### unsetNumKeys

          public void unsetNumKeys()

    - #### isSetNumKeys

          public boolean isSetNumKeys()

      Returns true if field numKeys is set (has been assigned a value) and false otherwise

    - #### setNumKeysIsSet

          public void setNumKeysIsSet(boolean value)

    - #### getPages

          public int getPages()

    - #### setPages

          public TQueueStat setPages(int pages)

    - #### unsetPages

          public void unsetPages()

    - #### isSetPages

          public boolean isSetPages()

      Returns true if field pages is set (has been assigned a value) and false otherwise

    - #### setPagesIsSet

          public void setPagesIsSet(boolean value)

    - #### getPagesFree

          public int getPagesFree()

    - #### setPagesFree

          public TQueueStat setPagesFree(int pagesFree)

    - #### unsetPagesFree

          public void unsetPagesFree()

    - #### isSetPagesFree

          public boolean isSetPagesFree()

      Returns true if field pagesFree is set (has been assigned a value) and false otherwise

    - #### setPagesFreeIsSet

          public void setPagesFreeIsSet(boolean value)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public TQueueStat setPageSize(int pageSize)

    - #### unsetPageSize

          public void unsetPageSize()

    - #### isSetPageSize

          public boolean isSetPageSize()

      Returns true if field pageSize is set (has been assigned a value) and false otherwise

    - #### setPageSizeIsSet

          public void setPageSizeIsSet(boolean value)

    - #### getReLen

          public int getReLen()

    - #### setReLen

          public TQueueStat setReLen(int reLen)

    - #### unsetReLen

          public void unsetReLen()

    - #### isSetReLen

          public boolean isSetReLen()

      Returns true if field reLen is set (has been assigned a value) and false otherwise

    - #### setReLenIsSet

          public void setReLenIsSet(boolean value)

    - #### getRePad

          public int getRePad()

    - #### setRePad

          public TQueueStat setRePad(int rePad)

    - #### unsetRePad

          public void unsetRePad()

    - #### isSetRePad

          public boolean isSetRePad()

      Returns true if field rePad is set (has been assigned a value) and false otherwise

    - #### setRePadIsSet

          public void setRePadIsSet(boolean value)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public TQueueStat setVersion(int version)

    - #### unsetVersion

          public void unsetVersion()

    - #### isSetVersion

          public boolean isSetVersion()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### setVersionIsSet

          public void setVersionIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TQueueStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TQueueStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>`

    - #### isSet

          public boolean isSet(TQueueStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TQueueStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TQueueStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TQueueStat>`

    - #### fieldForId

          public TQueueStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TQueueStat,TQueueStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.